%define module	poppler-qt5

Name:		python-%{module}
Version:	21.3.0
Release:	%mkrel 4
Summary:	Python binding to Poppler-Qt5 C++ library
Group:		Development/Python
License:	LGPLv2+
# https://github.com/frescobaldi/python-poppler-qt5
URL:		https://pypi.org/project/python-poppler-qt5/
Source0:	https://pypi.io/packages/source/p/python-poppler-qt5/%{name}-%{version}.tar.gz
Patch1:		%{name}-0.24.2-python3-sip.patch
Patch3:		linking.patch
BuildRequires:	cmake(Qt5Core)
BuildRequires:	pkgconfig(poppler-qt5)

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-qt5-devel
BuildRequires:  python3dist(sip)
BuildRequires:  python3dist(pyqt-builder)

%description
Python bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python and using Poppler set.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to Poppler-Qt5 C++ library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Python 3 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 3 and using Poppler set.

#------------------------------------------------

%package -n python3-%{module}-qsci-api
Summary:        Python 3 bindings for PyQt 5 poppler Qscintilla API
Group:          Development/KDE and Qt

%description -n python3-%{module}-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n python3-%{module}-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/python-poppler-qt5.api

#------------------------------------------------


%prep
%autosetup -p1

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build -C build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/*.so ; do
test -x $i  || chmod a+rx $i
done

%files -n python3-%{module}
%doc ChangeLog TODO README.rst
%license LICENSE
%{python3_sitearch}/popplerqt5.*.so
%{python3_sitearch}/PyQt5/bindings/popplerqt5
%{python3_sitearch}/python_poppler_qt5-%{version}.dist-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 21.3.0-4.mga10
+ Revision: 2242312
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 21.3.0-3.mga10
+ Revision: 2159852
- rebuild for python3.13

* Wed Dec 20 2023 daviddavid <daviddavid> 21.3.0-2.mga10
+ Revision: 2019982
- rebuild for py3.12

* Tue Sep 13 2022 neoclust <neoclust> 21.3.0-1.mga9
+ Revision: 1887620
- New version 	21.3.0

* Wed Apr 06 2022 umeabot <umeabot> 21.1.0-4.mga9
+ Revision: 1845939
- Mageia 9 Mass Rebuild

* Tue Apr 05 2022 papoteur <papoteur> 21.1.0-3.mga9
+ Revision: 1845183
- Build with sip6 instead of sip4. Add python3-poppler-qt5-qsci-api package.

* Thu Feb 17 2022 akien <akien> 21.1.0-2.mga9
+ Revision: 1779080
- Rebuild for python 3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 21.1.0-1.mga9
+ Revision: 1705864
- new version: 21.1.0
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.75.0-2.mga8
+ Revision: 1538439
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 daviddavid <daviddavid> 0.75.0-1.mga8
+ Revision: 1462121
- new version: 0.75.0

* Thu Sep 19 2019 daviddavid <daviddavid> 0.74.0-1.mga8
+ Revision: 1443867
- new version: 0.74.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.24.2-6.mga8
+ Revision: 1441572
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 daviddavid <daviddavid> 0.24.2-5.mga7
+ Revision: 1352852
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.24.2-4.mga7
+ Revision: 1300548
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 0.24.2-3.mga7
+ Revision: 1243342
- rebuild against new sip

* Sat Aug 05 2017 daviddavid <daviddavid> 0.24.2-2.mga7
+ Revision: 1135101
- rebuild for new Python 3.6

* Mon Feb 27 2017 daviddavid <daviddavid> 0.24.2-1.mga6
+ Revision: 1088117
- initial package python-poppler-qt5

